summaryrefslogtreecommitdiff
path: root/dev-python/exdown/exdown-0.7.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/exdown/exdown-0.7.1.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/exdown/exdown-0.7.1.ebuild')
-rw-r--r--dev-python/exdown/exdown-0.7.1.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/exdown/exdown-0.7.1.ebuild b/dev-python/exdown/exdown-0.7.1.ebuild
new file mode 100644
index 000000000000..7a5e5dfaa1d8
--- /dev/null
+++ b/dev-python/exdown/exdown-0.7.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extract code blocks from markdown"
+HOMEPAGE="https://github.com/nschloe/exdown"
+SRC_URI="https://github.com/nschloe/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ $( python_gen_cond_dep \
+ 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_7 )
+"
+
+BDEPEND="
+ dev-python/wheel[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # setup.py was removed in commit ddb8a613bbc8ba7d079c1b7abbca5ce2d53ef9d0
+ # for some reason, DISTUTULS_USE_SETUPTOOLS="pyproject.toml" is not working
+ # it complains about file not found, setup.cfg does exist
+ cat > setup.py <<EOF || die
+from setuptools import setup
+
+if __name__ == "__main__":
+ setup()
+EOF
+
+ distutils-r1_python_prepare_all
+}